Subject: bug#47479: closed (Re: bug#47479: inkscape retains a reference to imagemagick, even though it is in native-inputs)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 22 Jan 2024 01:16:02 +0000

Your bug report

#47479: inkscape retains a reference to imagemagick, even though it is in native-inputs

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
47479: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=47479
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#47479: inkscape retains a reference to imagemagick, even though it is in native-inputs
From: Maxim Cournoyer <[email-masked]>
To: Leo Famulari <[email-masked]>
Cc: Mark H Weaver <[email-masked]>, Efraim Flashner <[email-masked]>, [email-masked]
Date: Sun, 21 Jan 2024 20:15:02 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Maxim Cournoyer <[email-masked]> writes:

> Hi Leo et al.,
>
> Leo Famulari <[email-masked]> writes:
>
>> On Tue, Mar 30, 2021 at 04:55:13AM -0400, Mark H Weaver wrote:
>>> I see now that I'm using an older version, although I would have
>>> preferred the newer one.  I refer to the variable name 'inkscape' from
>>> my manifest file, and I expected that to point to the latest stable
>>> version.  However, it seems that one must use the 'inkscape-1.0'
>>> variable to get the latest stable version.  That's seems suboptimal.
>>> 
>>> I wonder if the 'inkscape' variable should be renamed 'inkscape/stable'
>>> (for use in packages such as 'dblatex/stable'), and then 'inkscape'
>>> could be repurposed to point to the latest stable version.  Thoughts?
>>
>> I think we should do this, or even remove the old Inkscape package now.
>>
>> I'm guessing the reason for keeping the older release series is that
>> the Inkscape save-file format changed?
>
> The reason [email-masked] is still kept around is becauseInkscape@1
> doesn't build on ARM (more accurately, one of its dependencies,
> lib2geom, doesn't).  It's been a while since I looked at the issue, and
> it seems there may have been some activity in lib2geom upstream to try
> to address the problem, so we should revisit it.

That's not relevant anymore, but our current inkscape 1.2 depends on
imagemagick still.  Seeing how it now links directly to it, I've added
it to inputs as well in commit 552ebc47af and pushed to core-updates.

Closing!

-- 
Thanks,
Maxim

Subject: inkscape retains a reference to imagemagick, even though it is in native-inputs
From: Maxime Devos <[email-masked]>
To: [email-masked]
Date: Mon, 29 Mar 2021 18:33:10 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Guix,

On
$ guix --version
> guix (GNU Guix) 510e24f973a918391d8122fd6ad515c0567bf23e

with
$ guix graph --type=references inkscape

it can be seen inkscape retains the reference to imagemagick,
even though imagemagick is in native-inputs.

Greetings,
Maxime.